# PSF-LoginServer - master - net.psforever.objects.vital.resistance.ResistanceProfile
PSF - LoginServer - master - net.psforever.objects.vital.resistance.ResistanceProfile
Keywords: PSF LoginServer master net.psforever.objects.vital.resistance.ResistanceProfile

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resistance
  Definition Classes
    vital
- ResistanceCalculations
- ResistanceProfile
- ResistanceProfileMutators
- ResistanceSelection
- StandardResistanceProfile

t

net.psforever.objects.vital.resistance

# ResistanceProfile

###

#### trait ResistanceProfile extends AnyRef

The different values for four common methods of modifying incoming damage. Two of the four resistances are directly paired with forms of incoming damage. This is for defining pure accessor functions.

Source
  ResistanceProfile.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
BoomerDeployableDefinition, ExplosiveDeployableDefinition, Player, SensorDeployableDefinition, ShieldGeneratorDefinition, TelepadDeployableDefinition, TrapDeployableDefinition, TurretDeployableDefinition, Vehicle, NonvitalDefinition, DeployableDefinition, ExoSuitDefinition, SpecialExoSuitDefinition, VehicleDefinition, AmsDefinition, AntDefinition, ApcDefinition, CarrierDefinition, DeployingDefinition, RouterDefinition, Door, DoorDefinition, Generator, GeneratorDefinition, CaptureFlag, CaptureFlagDefinition, CaptureFlagSocket, CaptureFlagSocketDefinition, IFFLock, IFFLockDefinition, Locker, LockerDefinition, VehicleSpawnPad, VehicleSpawnPadDefinition, Painbox, PainboxDefinition, ResourceSilo, ResourceSiloDefinition, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, AmenityDefinition, GeneratorTerminalDefinition, MatrixTerminalDefinition, MedicalTerminalDefinition, OrderTerminalDefinition, ProximityTerminal, ProximityTerminalDefinition, Terminal, TerminalDefinition, CaptureTerminal, CaptureTerminalDefinition, ImplantTerminalMech, ImplantTerminalMechDefinition, SpawnTube, SpawnTubeDefinition, FacilityTurret, FacilityTurretDefinition, TurretDefinition, InternalTelepad, InternalTelepadDefinition, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility, ResistanceProfileMutators, StandardResistanceProfile

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResistanceProfile
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def RadiationShielding: Float
2.  abstract def ResistanceAggravated: Int
3.  abstract def ResistanceDirectHit: Int
4.  abstract def ResistanceSplash: Int
5.  abstract def Subtract: DamageProfile

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Resist(dtype: base.DamageType.Value): Float
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped